## dgit 3.10~bpo8+1

=== debian/changelog ===
dgit (3.10~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 17 Feb 2017 10:05:38 -0700

dgit (3.10) unstable; urgency=medium

  Bugfixes:
  * dgit: Copy several user.* settings from main tree git local config
    to dgit private workarea.  Closes:#853085.
  * dgit: Strip initial newline from Changes line from dpkg-parsechangelog
    so as to avoid blank line in commit messages.  Closes:#853093.
  * dgit: Do not fail when run with detached HEAD.  Closes:#853022.
  * dgit: Be much better about commas in maintainer changelog names.
    Closes:#852661.

  Test suite:
  * quilt-useremail: New test for user config copying (#853085).
  * lib-import-chk: Test that commits have smae authorship as appears in
    the changelog.  (Or, at least, the same authorship set.)
  * import-maintmangle: New test for changelog Maintainer mangling.

  Documentation:
  * Fix typos.  Closes:#853125.  [Nicholas D Steeves]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 06 Feb 2017 17:49:39 +0000
