## dgit 3.11~deb9u1

=== debian/changelog ===
dgit (3.11~deb9u1) stretch; urgency=high

  * Rebuild and upload to stretch.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 11 Jul 2017 09:28:15 +0100

dgit (3.11) unstable; urgency=high

  Important bugfixes to dgit:
  * Fix rpush+buildinfo: Transfer buildinfos for signing.  Closes:#867693.
  * Cope if the archive server sends an HTTP redirect,
    by passing -L to curl.  Closes:#867185,#867309.
  * Cope with newer git which hates --local outside a tree.  Closes:#865863.
  * rpush: Honour local git config from build host working tree.
  * Tolerate compressor terminating with SIGPIPE.  Closes:#857694.
  * Honour more pre-tree git config options in our private trees sharing
    the user's object store.  In particular, core.sharedRepository.
    Prompted by #867603.
  * Clone multisuite works even without --no-rm-on-error.  Closes:#867434.
  * Work if "git init" does not create $GIT/info.  Closes:#858054.
  * Actually understand foo,-security (!)  Closes:#867189.

  Important bugfixes to other components:
  * dgit-badcommit-fixup: Honour core.sharedRepository.   Closes:#867603.
  * infrastructure: Cope with new git-receive-pack which has
    quarantine feature: ie, work around #867702.

  Test suite:
  * Cope with git restricting ext:: protocols.
  * multisuite: Test clone without --rm-on-error.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 08 Jul 2017 22:40:15 +0100
