## dgit 3.12

=== debian/changelog ===
dgit (3.12) unstable; urgency=high

  Important bugfixes to dgit:
  * Pass --no-renames to git diff-tree -z, avoiding potential trouble.
  * Defend against commit subject lines which would generate patches which
    look like series files, etc.  Involves adding .patch to all generated
    patch filenames.
  * dgit import: Defend against broken symlinks in ..
  * dgit import: Right error message for missing files in ..
  * dgit import: Avoid making broken symlinks in ..
  * quilt fixup: Tolerate deletion of executable files.
  * quilt fixup: Tolerate symlink creation (make patches).  Closes:#857382.

  Important bugfixes to other components:
  * dgit-repos-server: Do not reject commits with no author/committer
    email address (but still insist on date, and hence on the actual
    committer and author commit header fields).  Peter Green reports that
    eg 66c65d90db100435 in upstream linux.git is such a commit (and is
    accepted by github).  Closes:#863353.

  Test suite:
  * t-report-fail: print $PWD as part of failure message.
  * import-dsc: Test missing files, particularly in ..
  * run git gc on tests/worktrees/example_1.0.tar.
  * quilt fixup: Check we can delete files with funny modes
  * quilt fixup: Check that funny changes are represented properly

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 16 Jul 2017 21:36:24 +0100
