=== debian/changelog ===
dgit (4.3) unstable; urgency=high

  Documentation improvements:
  * dgit(7): Discuss file executability.  Closes:#886444.
  * dgit(7): Discuss git-unrepresentable properties of source trees.
  * dgit-maint-merge(7): Don't suggest using debian/source/patch-header
    for 1.0 source format.  Closes:#887850.  [Sean Whitton]

  Bugfixes:
  * dgit archive-api-query: Avoid crashing due to lack of $isuite.
    This breaks the infrastructure.  Closes:#886592.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 25 Jan 2018 00:33:56 +0000

dgit (4.2) unstable; urgency=low

  * Upload dgit 4.x series to unstable.

  New features [Sean Whitton]:
  * New 'push-source' subcommand for source-only uploads.  Closes:#848931
  * When dgit builds a source package, such as in the 'build-source'
    subcommand, it now bypasses dpkg-buildpackage and invokes dpkg-source
    directly.  This avoids a _source.buildinfo file in the .changes, which
    doesn't make sense when using dgit.  See
    <https://lists.debian.org/debian-dpkg/2017/06/msg00005.html>.

  Documentation improvements:
  * dgit(1): Add a bit more rationale (polemic, even).  Closes:#874221.
  * Recommend mk-build-deps rather than apt-get build-dep.
    Suggestion from Nikolaus Rath.  Closes:#863361.
  * dgit-maint-merge(7): many updates.  [Sean Whitton]
    Closes:#864873,#878433.
  * dgit-*(7): Mention first upload trick.  [Andrew Shadura,
    Sean Whitton]  Closes:#856402.

  Minor fixes:
  * When source discrepancy involves file mode changes, report them
    specially.  Closes:#886442.
  * In split brain mode, with unexpected diffs, print dgit view
    commitid in suggested diff rune.  (HEAD is wrong.)  Closes:#886443.
  * Fix message about missing quilt cache entry to refer to
    HEAD rather than tree, since dgit needs a commit.  Closes:#884646.
  * Fix grammar error in 4.1 changelog entry. [Sean Whitton]
  * Remove some whitespace "errors". [Sean Whitton]

  Packaging:
  * Remove dependency alternative on realpath (package last existed in
    Debian wheezy).  Closes:#877552.

  Test suite:
  * dpkgsourceignores-docs: Correct restriction (so autopkgtest
    won't try to run it).
  * Additional workarounds for gnupg races (#868550) including
    retrying each individual test once, and more sophisticated
    wrapper for gpg (with locking and, sometimes saves stdin).
  * oldnewtagalt: Fix regression when running outside git tree,
    introduced in 4.1.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 07 Jan 2018 21:45:29 +0000

dgit (3.13) unstable; urgency=high

  Important bugfixes to dgit:
  * Add missing `use' for Dpkg::Compression et al.
    Thanks to report from Didier 'OdyX' Raboud.  (Closes:#879526.)

  Test suite:
  * Add missing `chiark-utils-bin' to Test-Depends.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 22 Oct 2017 17:51:12 +0100

dgit (4.1) experimental; urgency=medium

  Important improvements to dgit:
  * Support for `git worktree' worktrees.  There may still be
    bugs; the tests for this are not very comprehensive.  And
    worktrees on different filesystems may not work; that's a
    matter for the future.  Closes:#868515.
  * Change the dpkg-source -i argument to exclude exactly the right
    set of things.  (Sadly this is not a simple rune.)

  Other improvements to dgit:
  * New print-dpkg-source-ignores option to print the big rune
    you need to pass to dpkg-source to make it work exactly right.
  * Properly shell-quote the --git-builder argument to gbp.

  Documentation:
  * dgit-user(7): Provide information about how to use sbuild.
    Quite ugly due to #868527.  Closes:#868526.
  * dgit-user(7): Fixed example rune to use curl (which prints
    to stdout, as the rune expects).  [reported by Simon Tatham]

  Minor improvements:
  * Do not leave many clog-* files in .git/dgit.

  Internal changes:
  * using-these: New script to help with ad-hoc-testing.
  * Refactoring in preparation for push-source [Sean Whitton].

  Test suite:
  * sbuild-gitish: New test case to check running sbuild from git
  * Work around gnupg agent connection races by having our stunt
    gpg wrapper simply try running gpg again, once, if it exits 2.
    This does not fully suppress the bug but it does significantly reduce
    the probability.
  * Other tests for new features.
  * Various refactoring.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Aug 2017 09:31:03 +0100

dgit (4.0) experimental; urgency=low

  * dgit: --deliberately-not-fast-forward works properly in
    split view quilt modes (suppressing the pseudomerge).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 12 Feb 2017 22:22:31 +0000
