## dgit 5.2~bpo9+1

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 mandir=$(prefix)/share/man
 perldir=$(prefix)/share/perl5
 man1dir=$(mandir)/man1
+man5dir=$(mandir)/man5
 man7dir=$(mandir)/man7
 infraexamplesdir=$(prefix)/share/doc/dgit-infrastructure/examples
 txtdocdir=$(prefix)/share/doc/dgit
@@ -39,11 +40,20 @@
 	dgit-user.7 dgit-nmu-simple.7		\
 	dgit-maint-native.7			\
 	dgit-maint-merge.7 dgit-maint-gbp.7	\
+	dgit-maint-debrebase.7                  \
 	dgit-sponsorship.7
 
 TXTDOCS=README.dsc-import
-PERLMODULES=Debian/Dgit.pm
+PERLMODULES=Debian/Dgit.pm Debian/Dgit/ExitStatus.pm
 ABSURDITIES=git
+
+GDR_PROGRAMS=git-debrebase
+GDR_PERLMODULES= \
+	Debian/Dgit.pm \
+	Debian/Dgit/GDR.pm \
+	Debian/Dgit/ExitStatus.pm
+GDR_MAN1PAGES=git-debrebase.1
+GDR_MAN5PAGES=git-debrebase.5
 
 INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch \
 	dgit-repos-policy-debian dgit-repos-admin-debian \
@@ -54,7 +64,10 @@
 	Debian/Dgit/Infra.pm \
 	Debian/Dgit/Policy/Debian.pm
 
-all:	$(MAN7PAGES) $(addprefix substituted/,$(PROGRAMS))
+MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
+	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES)
+
+all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))
 
 substituted/%:	%
 	mkdir -p substituted
@@ -75,9 +88,18 @@
 
 installdirs:
 	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
-		$(DESTDIR)$(man1dir) $(DESTDIR)$(man7dir) \
+		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
+		$(DESTDIR)$(man7dir) \
 		$(DESTDIR)$(txtdocdir) $(DESTDIR)$(absurddir) \
 		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(PERLMODULES)))
+
+install-gdr:	installdirs-gdr
+	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
+	$(INSTALL_DATA) $(GDR_MAN1PAGES) $(DESTDIR)$(man1dir)
+	$(INSTALL_DATA) $(GDR_MAN5PAGES) $(DESTDIR)$(man5dir)
+	set -e; for m in $(GDR_PERLMODULES); do \
+		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
+	done
 
 install-infra:	installdirs-infra
 	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_PROGRAMS)) \
@@ -88,6 +110,11 @@
 		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
 	done
 
+installdirs-gdr:
+	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
+		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
+		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(GDR_PERLMODULES)))
+
 installdirs-infra:
 	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(infraexamplesdir) \
 		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(INFRA_PERLMODULES)))
@@ -96,7 +123,7 @@
 
 clean distclean mostlyclean maintainer-clean:
 	rm -rf tests/tmp substituted
-	set -e; for m in $(MAN7PAGES); do \
+	set -e; for m in $(MANPAGES); do \
 		test -e $$m.pod && rm -f $$m; \
 	done
 
@@ -105,5 +132,10 @@
 		--name=$(subst .7,,$@) \
 		$^ $@
 
+git-debrebase.%: git-debrebase.%.pod
+	pod2man --section=$* --date="Debian Project" --center="git-debrebase" \
+		--name=$(subst .$*,,$@) \
+		$^ $@
+
 %.view:	%
 	man -l $*
