=== debian/changelog ===
dgit (5.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Restore missing comma in Depends: field.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jun 2018 12:55:02 +0100

dgit (5.2) unstable; urgency=medium

  dgit bugfixes:
  * When all Debian changes vanish with single-debian-patch,
    do not fail to commit the patch queue removal.  Closes:#877036.
  * When build fails because the network is offline, mention
    that this is because --since-version was not specified.
    Closes:#883340.
  * When quilt fixup fails because of discrepancies, print a
    git diff rune which will show them.  Closes:#865446.
  * When fetch or push wants git fetch (other than in a situation where it
    happes to be a noop) but --dry-run was specified, fail with an
    explanation, rather than looping with a false coplaint about git
    fetch.  Closes:#871317.
  * --overwrite now no longer crashes if there is nothing to overwrite
    (eg, when used with --new).  Instead, it is simply ignored, as it is
    ignored in situations where the push is fast forward.  Closes:#863576.

  dgit/git-debrebase interop bugfixes:
  * git-debrebase interop: Add a missing debugcmd debugging print.
  * git-debrebase interop: Actually tolerate git-debrebase make-patches
    exiting with status 7.

  dgit vcs-git handling improvements:
  * Provide `update-vcs-git' subcommand, for creating and adjusting the
    vcs-git remote url.  Useful for transition from alioth to salsa.
    Closes:#902006.
  * Print a warning to stderr on `dgit fetch sid', if your vcs-git
    remote url disagrees with what's in sid's .dsc.

  documentation:
  * dgit(1): Mention under `dgit build' that it uses the network.
  * dgit(1): Clarify that --overwrite does nothing if not needed.
    Closes:#863578.
  * dgit-user(7): Recommend sbuild-debian-developer-setup.
    [ Sean Whitton. ]  Closes:895779.

  test suite:
  * Use nproc(1) rather than Sys::CPU.  This is more portable and does not
    depend on libsys-cpu-perl being installed.  Closes:888496.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 24 Jun 2018 23:33:28 +0100

dgit (5.1) unstable; urgency=medium

  dgit gitattributes handling:
  * Squash the working-tree-encoding attribute too.
  * Update an existing `dgit-defuse-attrs' macro in .git/info/attributes.
  * Test the working-tree-encoding attribute squashing properly.
    Closes:#901900.

  git-debrebase fixes:
  * new-upstream: fix (this time for sure) ff check handling
    of multi-piece upstreams.
  * Suppress gbp pq export output, except in case of error.
    Closes:#901809.
  * Manpages: Fix typos and etc.
  * Fix a typo in the package description.

  Test suite:
  * Triger ci.debian.net autopkgtests on: gnupg diffutils patch.
    (A dummy test is used to add to Testsuite-Triggers.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 20 Jun 2018 23:20:57 +0100

dgit (5.0) unstable; urgency=low

  Major new facility:
  * git-debrebase, a new git workflow tool, in its own package.
  * dgit will now, when appropriate, check if it should call
    git-debrebase.

  [ Thanks to Sean Whitton for much useful input, and for
     dgit-maint-debrebase(7). ]

  dgit bugfixes:
  * Fix the exit status of programs in dgit.deb, to avoid the Perl
    misfeature which sometimes copies $! to the exit status.
  * When checking that the tree is clean, check the git index too.
  * In quilt_fixup_multipatch, work around git checkout paths
    not deleting files.  (Hypothetical bug AFAIAA.)
  * Respect --quilt=nofix even if single-debian-patch.

  dgit minor fixes:
  * "confess" when we die due to a warning, rather than symply dieing.

  Internal changes:
  * Move $playground global to dgit.
  * Break git_get_symref and $extra_orig_namepart_re out into Dgit.pm.
  * Changes to support git-debrebase.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 18 Jun 2018 00:29:44 +0100

dgit (4.4) unstable; urgency=high

  Test suite bugfix:
  * Use full key hash rather than short keyid.  Closes:#896653.
    [ report: Paul Gevers; fix: Chris Lamb ]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Apr 2018 13:18:51 +0100

dgit (4.3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jan 2018 09:13:46 -0700

dgit (4.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 18 Jan 2018 17:30:23 -0700
