## dgit 6.2~bpo9+1

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	dgit-maint-native.7			\
 	dgit-maint-merge.7 dgit-maint-gbp.7	\
 	dgit-maint-debrebase.7                  \
+	dgit-downstream-dsc.7			\
 	dgit-sponsorship.7
 
 TXTDOCS=README.dsc-import
@@ -119,6 +120,9 @@
 	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(infraexamplesdir) \
 		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(INFRA_PERLMODULES)))
 
+list-manpages:
+	@echo $(MANPAGES)
+
 check installcheck:
 
 clean distclean mostlyclean maintainer-clean:
