=== tests/Makefile ===
--- 
+++ 
@@ -7,19 +7,12 @@
 TESTNAMES := $(notdir $(TESTSCRIPTS))
 
 all: $(foreach t,$(TESTNAMES),tests/tmp/$t.ok)
-	@echo "ALL PASSED"
+	@echo "ALL PASSED$${DGIT_TESTS_PROGRESSIVE+ AT SOME POINT}"
 
-tests/tmp:
-	mkdir -p $@
-
+tests/tmp/%.ok:
 ifeq ($(DGIT_TEST_RETRY_COUNT),)
-
-tests/tmp/%.ok: tests/tmp
 	tests/tests/$* >tests/tmp/$*.log 2>&1
-
 else
-
-tests/tmp/%.ok: tests/tmp
 	@for retry in $$( seq 1 $(DGIT_TEST_RETRY_COUNT) ); do		\
 		echo "[$$retry] $*";					\
 		tests/tests/$* >tests/tmp/$*.$$retry.log 2>&1;		\
@@ -27,5 +20,5 @@
 		if [ $$rc = 0 ]; then exit 0; fi;			\
 		echo >&2 "[$$retry] $* TEST FAILED $$rc";		\
 	done; exit $$rc
-
 endif
+	@touch $@
