=== debian/changelog ===
dgit (6.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 31 Jul 2018 14:05:03 +0800

dgit (6.2) unstable; urgency=medium

  * dgit(1): Improve and correct --build-products-dir description.
  * dgit: Minor code cleanup.
  * dgit build: Warn if --build-products-dir is not `..'.  Closes:#904859.
  * test suite: Test dgit import-dsc --build-products-dir.

  [Sean Whitton]
  * manpages: alioth->salsa
  * manpages: add references to pbuilder and cowbuilder
  * dgit-maint-gbp(7): discuss dgit.default.build-products-dir
  * dgit-maint-gbp(7): update references to --*-dirty
  * dgit-sponsorship(7): add references to push-source
  * dgit-maint-debrebase(7): fix command to just launder

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 29 Jul 2018 12:57:26 +0100

dgit (6.1) unstable; urgency=medium

  New feature:
  * 'pbuilder' and 'cowbuilder' subcommands (Closes: #844125).
    - Suggest sbuild | pbuilder | cowbuilder.

  Minor fixes:
  * Fix an error message to refer to the build products dir instead of
    just the parent directory.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 28 Jul 2018 20:14:23 +0800

dgit (6.0) unstable; urgency=medium

  New features [Sean Whitton]:
  * Introduce dgit.default.build-products-dir git configuration key.
    Closes:#857316.
  * Die earlier, and with a more helpful message, if the user tries to
    include dirty changes when building a source package in split brain
    mode.

  dgit behavioural changes:
  * dgit: Always build the source package ourselves, rather than
    sometimes leaving that to the builder command.  dgit will now
    usually generate *_multi.changes rather than *_$arch.changes.
  * dgit: Build source packages in a private directory, except when
    the user passes --include-dirty [Sean Whitton].
    - dgit push-source no longer cleans the tree [Sean Whitton].
  * dgit: Rename --ignore-dirty to --include-dirty (leaving the old
    name supported as a deprecated alias).

  Test suite improvements:
  * test suite: unset VISUAL, which interferes.  Closes:#904308.
  * Honour DGIT_SCHROOT_CHROOT to set the schroot to use for the sbuild
    tests.
  * Support tests/run-all --progressive.
  * Drop now-obsolete *-asplit tests.

  Other improvements:
  * apt-get method: when apt does not update release files,
    unconditionally print hint about noatime.  Closes:#851873.
  * messages: Be a lot more friendly about NEW in particular,
    and also add a couple of `please's.  Closes:#904448.
  * Make --build-products-dir (and the new config key) actually work.
    Closes:#863582.  [ Ian and Sean. ] 
  * dgit: Many important internal rearrangemnts relating to source
    package production and building.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 26 Jul 2018 14:43:47 +0100

dgit (5.10~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 19 Jul 2018 01:09:21 +0800

dgit (5.10) unstable; urgency=medium
 
  * Merge the experimental branch.
  * test suite: Drop a couple of useless test log output lines.
  * infrastructure: Run git gc --auto before mirroring.  Closes:#841414.
 
 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 14 Jul 2018 18:07:02 +0100
 

dgit (5.9+exp4) experimental; urgency=medium

  * test suite: Use  dch -r -D sid ''  not  dch -r sid.  Closes:#903441.
  * test suite: Save a tarball of much of the working area of each test
    in $AUTOPKGTEST_ARTIFACTS.
  * Separate changelog entries for the following test attempts
    in experimental have been elided:
      dgit (5.9+exp3) experimental; urgency=medium
      dgit (5.9+exp2) experimental; urgency=medium
      dgit (5.9+exp1) experimental; urgency=medium

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 12 Jul 2018 13:45:07 +0100

dgit (5.9) unstable; urgency=medium

  * git-debrebase convert-from-gbp: Look for dgit-generated tags so we can
    usually make the new branch ff of the dgit view.  Closes:#903132.
  * git-debrebase convert-from-gbp: Check that the result will not
    count as having diverged.  This will usually turn failures to make
    the ff pseudomerge into -fdiverged.  Related to #903132.
  * git-debrebase, Dgit.pm, git: some internal reorganisation to
    support git-debrebase changes.
  * dgit-downstream-dsc(7): New manpage.  Closes:#842643,#851194.
  * git-debrebase(5): Document best gitk options.  Closes:#901927.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 12 Jul 2018 13:37:12 +0100

dgit (5.8~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 12 Jul 2018 08:33:22 +0100

dgit (5.8) unstable; urgency=medium

  Bugfixes:
  * dgit, git-debrebase: Properly make patches even if an awkward
    .gitignore ignores the things in debian/patches.  Closes:#903130.
  * git-debrebase status: Fix commit reporting.  Closes:903131.
  * git-debrebase new-upstream: Add a -1 revision if the user
    didn't supply one.  Closes:#903127.
  * git-debrebase: Improve grammar if one blocking snag.
  * dgit(1): Unscramble push[-source] descriptions.  Closes:#903116.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 08 Jul 2018 11:42:41 +0100

dgit (5.7) unstable; urgency=medium

  New feature:
  * dgit checkout: new subcommand.  Closes:#878443.
  * dgit: Check that entirely-new uploads to Debian are not
    source-only-uploads, as those are REJECTed.  Closes:#801435.

  Bugfixes:
  * dgit(7): Mention git-debrebase and gbp pq alongside git-dpm,
    in the comment about handling patch stacks.
  * dgit update-vcs-git: Honour --package properly.
  * test suite: Always pass LC_COLLATE=C to sort(1).  Closes:#903006.
  * test suite: Fix trustingpolicy-replay & dput-ng.  Closes:#903007.
  * test suite: Test dput-ng compatibility.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 05 Jul 2018 15:02:21 +0100


