=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
          libjson-perl, ca-certificates,
          libtext-iconv-perl, libtext-glob-perl
 Recommends: ssh-client
-Suggests: sbuild
+Suggests: sbuild | pbuilder | cowbuilder
 Architecture: all
 Description: git interoperability with the Debian archive
  dgit (with the associated infrastructure) makes it possible to
