=== debian/rules ===
--- 
+++ 
@@ -31,25 +31,33 @@
 	 perl -i -pe "s/UNRELEASED/$$v/g if m/###substituted###/" usr/bin/dgit
 
 globalperl=/usr/share/perl5
-infraperl=/usr/share/dgit/infra/perl5
 
-override_dh_auto_install:
+override_dh_auto_install: specpkg_install_gdr specpkg_install_infra
 	make install prefix=/usr DESTDIR=debian/dgit
-	make install-infra prefix=/usr DESTDIR=debian/dgit-infrastructure \
-		perldir=$(infraperl)
-#	# Most of the Perl modules in dgit-infrastructure live in
-#	# $(infraperl).  The exception is Debian::Dgit::Infra, which
-#	# lives in $(globalperl) and adds $(infraperl) to @INC.
+
+specpkg_install_gdr: p=git-debrebase
+specpkg_install_gdr: pm=GDR
+
+specpkg_install_infra: p=dgit-infrastructure
+specpkg_install_infra: pm=Infra
+
+specpkg_install_%: tok=$*
+specpkg_install_%: specperl=/usr/share/dgit/$(tok)/perl5
+specpkg_install_%:
+	make install-$(tok) prefix=/usr DESTDIR=debian/$(p) perldir=$(specperl)
+#	# Most of the Perl modules in this package live in
+#	# $(specperl).  The exception is Debian::Dgit::Infra, which
+#	# lives in $(globalperl) and adds $(specperl) to @INC.
 	set -ex; \
-	 base=debian/dgit-infrastructure; \
-	 mod=Debian/Dgit/Infra.pm; \
-	 src=$${base}$(infraperl)/$${mod}; \
+	 base=debian/$(p); \
+	 mod=Debian/Dgit/$(pm).pm; \
+	 src=$${base}$(specperl)/$${mod}; \
 	 dst=$${base}$(globalperl)/$${mod}; \
 	 mkdir -p $${dst%/*}; \
 	 mv -f $$src $$dst; \
 	 perl -i -p -e 'next unless m/###substituted###/;' \
 		-e 'next unless s/^# (?=unshift \@INC,)//;' \
-		-e 'die unless s{q\{\S+\}}{q{$(infraperl)}};' \
+		-e 'die unless s{q\{\S+\}}{q{$(specperl)}};' \
 		 $$dst
 
 debian/tests/control: tests/enumerate-tests debian/tests/control.in
